=== debian/changelog ===
dms (1.0.2-1) unstable; urgency=medium

  * Update for postgresQL 9.4
  * Added dms_restoredb command, and dumpfile arguments to dms_createdb
    and dms_dumpdb.
  * Update version number
  * Put Debian NEWS files in correct place.
  * Update version number in NEWS file
  * Update dms-core.NEWS for with pg_upgradecluster.
  * Properly depend postgresql-9.4 (Closes: #756352)
  * Fix syntax typo
  * Put a sensible version number on dms-core.NEWS

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 02 Aug 2014 12:50:48 +1200

dms (1.0.1g-5) unstable; urgency=medium

  * Add required Uploaders line to debian/control

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 12 Jun 2014 20:14:31 +1200

dms (1.0.1g-4) unstable; urgency=medium

  * Remove python3-setproctitle from dependencies.

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 10 Jun 2014 09:04:39 +1200

dms (1.0.1g-3) unstable; urgency=medium

  * Change package maintainer to Alioth DMS team.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 04 May 2014 22:32:08 +1200

dms (1.0.1g-2) unstable; urgency=medium

  * Make python3-setproctitle a Suggests

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 28 Apr 2014 08:52:13 +1200

dms (1.0.1g-1) unstable; urgency=medium

  * Packaging fixes, and moving dynamic data from /etc
  * Move rsync-config and master-config /var/lib/dms
  * Move rndc files into their proper Debian locations
  * Move named-dr-replica.conf to /etc/dms/bind
  * Move update-session.key to /etc/dms/bind
  * Create separate dms bind config. Easier master installs.
  * Install bind named.conf files for first install
  * Fix typo in dms_promote_replica
  * Clean up dynamic data directories on purge
  * Finalise Recommends/Suggests package split
  * Add mssing /etc/dms/bind config directory
  * Fix type for install /etc/dms/bind config files
  * Fix Makefile for /etc/dms/bind conf files
  * Fix which /etc/dms/bind go into dms-core/dms-dr
  * Fix permissions on /etc/dms/bind files
  * Fix permissions on named-dr-replica.conf
  * Update README.Debian - Strongswan, DR pair or solo
  * Updating README.Debian and control
  * Correct where TSIG keys are being installed to.
  * Set Debian changelog version number correctly
  * Update debain/README.Debian
  * Turn off DMSDRDNS and WSGI by default
  * Update version number to 1.0.1f
  * Update README.Debian, and dms-dr.postinst
  * Fix another directory typo
  * Update README.Debian
  * Fix restricted commands list for ordinary users.
  * Update version number to 1.0.1g
  * Updating README.Debian, and recommends.
  * Final updates to README.Debian from trial setup
  * Add advice on filtering Incoming IPSEC connections

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 18 Apr 2014 19:22:42 +1200

dms (1.0-3) unstable; urgency=medium

  * Make snmp-mibs-downloader a suggested package.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 22 Mar 2014 13:46:14 +1300

dms (1.0-2) unstable; urgency=medium

  * Change version number for git-buildpackage
  * Add necessary build-depends on python

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 14 Mar 2014 15:49:19 +1300

dms (1.0-1) unstable; urgency=medium

  * Change version number for git-buildpackage
  * Update changelog for 1.0-1 release
  * Add necessary build-depends on python

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 14 Mar 2014 15:48:17 +1300

dms (1.0~rc4-1) unstable; urgency=medium

  * Add debian packaging dir.
  * Add rudimentary README and INSTALL files
  * Update wrt dependency on py-magcode-core.
  * Add support for RFC 6698 TLSA records.
  * Fix and update booststrap shell script
  * Update to postgresql 9.3 initial
  * Really update for postgresql 9.3
  * Updates for running bind 9.9
  * Fix oping output with 2 DISABLED servers.
  * Update /debian to make package build
  * Update /debian files for python3-magcode-core
  * Add debian packaging dir.
  * Remove Net24 referenences from all these files.
  * Fix Debian version string
  * Fix email address and maintainer
  * Fix __pycache__ in debian install dirs
  * try to fix up build-dep
  * Another tweak to try and get python3 depends
  * Fix Python package version
  * Correct setup.py
  * Update setup.py correctly
  * Trye something else...
  * Update changelog for 1.0rc2-1~2.gbp9838d1 release
  * REally fix version and setup.py problems...
  * Update changelog for 1.0rc3-1~1.gbpc14a0d release
  * Another debian/rules tweak...
  * Fix dh_python3 private dir /usr/share/dms
  * Add another python3 dir to scan
  * Another go at dh_python3 private dirs
  * Remove undeeded dh_python3 call
  * Adjust dependencies and recommends.
  * Add 'bind9' to DNS Management System
  * Correct PGVER control and package scripts to 9.3
  * Fix DB version in postgres scripts and dr_scripts
  * Update Symlinks for dms_createdb and dr_scripts/dms_start_as_replica
  * Lose NET24/VOYAGER from PG DB init SQL
  * Fix rsyncd.conf now not allowing chgrp()
  * Fix race condition - rsyslog with module reload
  * Fix typo with restarting rsyslog function call
  * Correct error path exception in server_sm.py
  * Add fully updated README.Debian

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 14 Mar 2014 15:33:11 +1300

dms (0.111-1) unstable; urgency=low

  * ServerSM retry_msg - display reason for RETRY

 -- Matthew Grant <matthew.grant@net24.co.nz>  Wed, 07 Nov 2012 16:15:39 +1300

dms (0.110d-1) unstable; urgency=low

  * pg_dumpallgz - fix drop privilege can't chdir prob

 -- Matthew Grant <matthew.grant@net24.co.nz>  Wed, 07 Nov 2012 11:31:15 +1300

dms (0.110c-1) unstable; urgency=low

  * Fix a typo in master_sm zone_sm_reconfig_schedule

 -- Matthew Grant <matthew.grant@net24.co.nz>  Tue, 06 Nov 2012 15:41:33 +1300

dms (0.110b-1) unstable; urgency=low

  * Fix Master SM reading master_id from pyparameters
  * Fix ls_server and show_dms_status to default all.
  * Added oping ping testing to ls_server
  * Handle a disabled server in the ping testing.
  * More comprehensive str error handling round ping

