=== debian/control ===
Source: dms
Section: admin
Priority: extra
Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Grant <matt@mattgrant.net.nz>
Build-Depends: debhelper (>= 8.0.0), python3-all, dh-python,
  python3-setuptools, python
Standards-Version: 3.9.5
X-Python3-Version: >= 3.2
Homepage: https://github.com/grantma/dms
Vcs-Git: https://github.com/grantma/dms.git
Vcs-Browser: https://github.com/grantma/dms

Package: dms-core
Architecture: any
Suggests: vim-nox|vim, nano
Recommends:
  less,
  colordiff,
  haveged,
  netscript-ipfilter|netscript-2.4|iptables-persistent,
  ntp,
  strongswan|racoon|ike-server,
  bind9-host,
  dnsutils
Depends: ${misc:Depends}, ${python3:Depends},
  python3-magcode-core,
  postgresql-9.4,
  python3-sqlalchemy (>= 0.7),
  python3-psycopg2 (>= 2.4.5),
  python3-psutil (>= 0.4.1),
  python3-pyparsing (>= 2.0.2),
  python3-dnspython (>= 1.10),
  rsync,
  bind9,
  adduser,
  diffutils|diff,
  oping
Description: bind9 DNS Management System, core system
 This is the bind9 DNS Management System, core backend.
 .
 Install this by itself if you are just after a single Master server, no DR.
 .
 This package include the dms python3 modules, zone_tool and dmsdmd.
 It creates the dms system users.
 .
 For setup, see README.Debian in /usr/share/doc/dms-core

Package: dms-wsgi
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, dms-core (= ${binary:Version}), apache2, libapache2-mod-wsgi-py3
Description: bind9 DNS Management System, WSGI JSON http RPC backend. 
 This is the bind9 DNS Management system, WSGI JSON RPC layer.
 .
 This installs the WSGI layer needed to access the DMS backend via JSON
 RPC over http.  It is split from the core package to allow the DMS to be set
 up on a small scale, with command line only editing.
 .
 For setup, see the README.Debian in /usr/share/doc/dms-core 

Package: dms-dr
Architecture: any
Depends: ${misc:Depends}, python3:any (>= 3.3.2-2~), python3:any (>= 3.2~), dms-core (= ${binary:Version}), adduser, rsyslog-pgsql
Suggests: netscript-2.4
Description: bind9 DNS Management System, DR scripts and setup.
 This is the bind9 DNS Management System, DR recovery scripts for running a 
 replica.
 .
 This package contains the management scripts required to set up a DR 
 replica of a DMS Master Server.  
 .
 For setup, see the README.Debian in /usr/share/doc/dms-core. 

Package: dms
Architecture: any
Depends: ${misc:Depends}, dms-wsgi (= ${binary:Version}), dms-core (= ${binary:Version}), dms-dr (= ${binary:Version}), etckeeper, ssh, vim-nox|vim, nano, colordiff, snmpd, snmp, mail-transfer-agent | exim4
Suggests: quagga, netscript-ipfilter|netscript-2.4, snmp-mibs-downloader, pwgen
Description: bind9 DNS Management System, master server meta-package
 This is the bind9 DNS Management System, the master server meta-package.
 .
 This package installs all the components needed for a DMS master server/DR
 replica pair.
 .
 For setup, see the README.Debian in /usr/share/doc/dms-core.
