=== debian/changelog ===
dms (1.0.3-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:40:58 +0000

dms (1.0.3-2) unstable; urgency=medium

  * Create dms-doc package
  * Update bootstrap to work with Python 3.4
  * Move things into place for using Sphinx
  * Get all documentation and manual into Sphinx
  * Build and install HTML documentation
  * Better version of Makefile for doc installation
  * Update two refs with missing links
  * Include HTML documentation as v1.0.3
  * Create dms-doc package
  * Update Debian Control, Copyright for License ident
  * Update git-ignore for dms-doc package

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 31 Oct 2014 20:47:34 +1300
