=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dms
 Section: admin
 Priority: extra
-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Grant <matt@mattgrant.net.nz>
 Build-Depends: debhelper (>= 8.0.0), python3-all, dh-python,
-  python3-setuptools, python
-Standards-Version: 3.9.5
+  python3-setuptools, python, python3-sphinx
+Standards-Version: 3.9.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/grantma/dms
 Vcs-Git: https://github.com/grantma/dms.git
@@ -82,3 +83,13 @@
  replica pair.
  .
  For setup, see the README.Debian in /usr/share/doc/dms-core. 
+
+Package: dms-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: bind9 DNS Management System, HTML documentation
+ This is the bind9 DNS Management System, documentation package.
+ .
+ This package contains the DMS manual as HTML. It is generated by sphinx.
+
