=== debian/changelog ===
dms (1.0.8-1) unstable; urgency=medium

  * Version 1.0.8 release.
  * systemd support for dmsdmd and in dms-dr management scripts.
  * PostgresQL upgrades using Debian postgresql-common management scripts
    instead of using own templated postgresql.conf file.  Includes ability
    to upgrade from debian pkg scripts. postgresql.conf parameters set from
    /etc/dms/dr-settings.sh (Closes: #811162, #794929)
  * New dms_ PostgresQL cluster management commands
  * Fixes and support for Python 3.5, SQLAlchemy 1.0.x, 1.1, and 1.2
  * Support for ifupdown interfaces in DR management commands and scripts.
  * Suggests locales-all and note in dms-core.NEWS locales-all to
    prevent upgrade failures. Together with move to Debian postgresql-common
    postgresql.conf generation above hardwired locales are a thing of the
    past. (Closes: #852519)
  * Clean up /var/lib/dms/postgresql/*.sha1sum files on dms-core purge.
    (Closes: #771093)
 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 08 Jun 2017 21:59:37 +1200
