=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dms
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
+Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Grant <matt@mattgrant.net.nz>
-Build-Depends: debhelper (>= 8.0.0), python3-all, dh-python,
+Build-Depends: debhelper (>= 10.0.0), python3-all, dh-python,
   python3-setuptools, python, python3-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/grantma/dms
 Vcs-Git: https://github.com/grantma/dms.git
@@ -14,7 +13,8 @@
 
 Package: dms-core
 Architecture: any
-Suggests: vim-nox|vim, nano
+Suggests: vim-nox|vim, nano,
+  locales-all
 Recommends:
   less,
   colordiff,
@@ -24,9 +24,11 @@
   strongswan|racoon|ike-server,
   bind9-host,
   dnsutils
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends:
+  ${misc:Depends},
+  python3:any (>= 3.3.2~),    
   python3-magcode-core,
-  postgresql-9.4,
+  postgresql (>= 9.3)|postgresql-9.3|postgresql-9.4|postgresql-9.5|postgresql-9.6,
   python3-sqlalchemy (>= 0.7),
   python3-psycopg2 (>= 2.4.5),
   python3-psutil (>= 0.4.1),
@@ -36,7 +38,8 @@
   bind9,
   adduser,
   diffutils|diff,
-  oping
+  oping,
+  lsb-base (>= 3.2-14)
 Description: bind9 DNS Management System, core system
  This is the bind9 DNS Management System, core backend.
  .
@@ -49,7 +52,7 @@
 
 Package: dms-wsgi
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, dms-core (= ${binary:Version}), apache2, libapache2-mod-wsgi-py3
+Depends: ${misc:Depends}, python3:any (>= 3.3.2~), dms-core (= ${binary:Version}), apache2, libapache2-mod-wsgi-py3
 Description: bind9 DNS Management System, WSGI JSON http RPC backend. 
  This is the bind9 DNS Management system, WSGI JSON RPC layer.
  .
@@ -61,7 +64,7 @@
 
 Package: dms-dr
 Architecture: any
-Depends: ${misc:Depends}, python3:any (>= 3.3.2-2~), python3:any (>= 3.2~), dms-core (= ${binary:Version}), adduser, rsyslog-pgsql
+Depends: ${misc:Depends}, python3:any (>= 3.3.2~), dms-core (= ${binary:Version}), adduser, rsyslog-pgsql
 Suggests: netscript-2.4
 Description: bind9 DNS Management System, DR scripts and setup.
  This is the bind9 DNS Management System, DR recovery scripts for running a
