## dms 1.0.8.1

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	NAMEDDATADIR=$(DESTDIR)/var/lib/bind
 	NAMEDDYNAMICDIR=$(DESTDIR)/var/lib/bind/dynamic
 	NAMEDKEYDIR=$(DESTDIR)/var/lib/bind/keys
+	NAMEDDSDIR=$(DESTDIR)/var/lib/bind/ds
 	NAMEDSLAVEDIR=$(DESTDIR)/var/cache/bind/slave
 	NAMEDSLAVELNDATA=../../cache/bind/slave
 	NAMEDSLAVELN=$(DESTDIR)/var/lib/bind/slave
@@ -79,6 +80,7 @@
 	RNDCCONFDIR=$(DESTDIR)$(ETCDIR)/nameddb
 	NAMEDDYNAMICDIR=$(DESTDIR)$(ETCDIR)/namedb/dynamic
 	NAMEDKEYDIR=$(DESTDIR)$(ETCDIR)/namedb/keys
+	NAMEDDSDIR=$(DESTDIR)$(ETCDIR)/namedb/ds
 	VARCONFDIR = $(DESTDIR)/var/lib/dms
 	LOGDIR = $(DESTDIR)/var/log/dms
 	RUNDIR = $(DESTDIR)/var/run/dms
@@ -96,6 +98,7 @@
 	RNDCCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)
 	NAMEDDYNAMICDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/dynamic
 	NAMEDKEYDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/keys
+	NAMEDDSDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/ds
 	VARCONFDIR = $(DESTDIR)$(PREFIX)/dms/var
 	LOGDIR = $(DESTDIR)$(PREFIX)/dms/log
 	RUNDIR = $(DESTDIR)$(PREFIX)/dms/var
@@ -129,6 +132,7 @@
 	- $(INSTALL) -d $(NAMEDSERVERCONFDIR)
 	- $(INSTALL) -d $(NAMEDDYNAMICDIR)
 	- $(INSTALL) -d $(NAMEDKEYDIR)
+	- $(INSTALL) -d $(NAMEDDSDIR)
 	- $(INSTALL) -d $(RNDCCONFDIR)
 	- $(INSTALL) -d $(VARCONFDIR)/dms-sg
 	- $(INSTALL) -d $(LOGDIR)
@@ -302,5 +306,3 @@
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_dumpdb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_upgradedb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_sqldb
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_pg_basebackup
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_write_recovery_conf
