=== debian/changelog ===
dms (1.0.8.1-1ubuntu1) bionic; urgency=medium

  * debian/rules: fix binary-arch build.  Closes: #887635.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Mar 2018 15:55:13 -0700

dms (1.0.8.1-1) unstable; urgency=medium

  * Add creation of /var/lib/bind/ds directory for DS
  * Fix removing /var/lib/bind on purge. (Closes: #883795)

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 18 Jan 2018 20:14:22 +1300
