=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dms
 Section: admin
 Priority: extra
-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Grant <matt@mattgrant.net.nz>
 Build-Depends: debhelper (>= 10.0.0), python3-all, dh-python,
   python3-setuptools, python, python3-sphinx
