=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,10 @@
 	find . -type d -name '__pycache__' | xargs rm -rf 
 
 override_dh_sphinxdoc:
-	        dh_sphinxdoc -X searchtools.js -X translations.js
-		        dh_sphinxdoc /usr/share/doc/dms-doc/html/
+ifneq (,$(filter $(shell dh_listpackages),dms-doc))
+	dh_sphinxdoc -X searchtools.js -X translations.js
+	dh_sphinxdoc /usr/share/doc/dms-doc/html/
+endif
 
 %:
 	        dh $@ --with sphinxdoc
